// See https://aka.ms/new-console-template for more information
using skyscraper5.IO.StreamReader.RemoteStreamReaderServer;
using skyscraper5.Skyscraper.IO.CrazycatStreamReader;
using System.Net;

Console.WriteLine("skyscraper5 RemoteStreamReader Server!");

if (args.Length != 0)
{
    if (args[0].Equals("/test"))
    {
        new Test().Run();
        return;
    }
}

RemoteStreamReaderServer rsrs = new RemoteStreamReaderServer();
rsrs.ListenAddress = IPAddress.Any;
rsrs.ListenPort = 6970;
rsrs.LogRequests = true;
rsrs.Run();